Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.example.com/api/v1/groups/{group_jid}/locked \ --header 'Content-Type: application/json' \ --data ' { "session_name": "<string>", "locked": true } '
import requestsurl = "https://api.example.com/api/v1/groups/{group_jid}/locked"payload = { "session_name": "<string>", "locked": True}headers = {"Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({session_name: '<string>', locked: true})};fetch('https://api.example.com/api/v1/groups/{group_jid}/locked', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "success": true, "details": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Set whether a WhatsApp group is locked (only admins can edit info).
Request to set group locked status.
WhatsApp session name
1
Lock group (only admins can edit info)
Successful Response
Generic response for group operations.